Subject: categories: Jon Beck

From: Michael Barr <[email-masked]>
Date: Mon, 20 Mar 2006 09:55:48 -0500 (EST)

I just got a note from Jon's daughter that Jon died suddenly on March 11.
She did not go into detail as to the circumstances.  Nadine's email
address is [email-masked] if anyone would like to write her.  She is
soliciting personal reminiscences either to be read at the memorial
service she has planned or privately to her, whichever you choose.